Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class Remoting

    java.lang.Object
      org.jboss.remoting.Remoting

    public class Remoting

extends java.lang.Object

Field Summary
`static java.lang.String` | `CUSTOM_SERVER_SOCKET_FACTORY` Key for the configuration map passed to a Connector to indicate the server socket factory to be used.
`static java.lang.String` | `CUSTOM_SOCKET_FACTORY` Key for the configuration map passed to a Client to indicate the socket factory to be used.
`static java.lang.String` | `SOCKET_CREATION_CLIENT_LISTENER` Key for the configuration map passed to a Client or Connector to indicate a socket creation listener for sockets created by a SocketFactory.
`static java.lang.String` | `SOCKET_CREATION_SERVER_LISTENER` Key for the configuration map passed to a Client or Connector to indicate a socket creation listener for sockets created by a ServerSocket.
`static java.lang.String` | `SOCKET_FACTORY_NAME` Key for the configuration map passed to a Client to indicate the classname of the socket factory to be used.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUSTOM_SERVER_SOCKET_FACTORY

    public static final java.lang.String CUSTOM_SERVER_SOCKET_FACTORY

  Key for the configuration map passed to a Connector to indicate the server socket factory to be used. This will override the creation of any other socket factory.

  See Also:
    Constant Field Values

### CUSTOM_SOCKET_FACTORY

    public static final java.lang.String CUSTOM_SOCKET_FACTORY

  Key for the configuration map passed to a Client to indicate the socket factory to be used. This will override the creation of any other socket factory.

  See Also:
    Constant Field Values

### SOCKET_FACTORY_NAME

    public static final java.lang.String SOCKET_FACTORY_NAME

  Key for the configuration map passed to a Client to indicate the classname of the socket factory to be used.

  See Also:
    Constant Field Values

### SOCKET_CREATION_CLIENT_LISTENER

    public static final java.lang.String SOCKET_CREATION_CLIENT_LISTENER

  Key for the configuration map passed to a Client or Connector to indicate a socket creation listener for sockets created by a SocketFactory.

  See Also:
    Constant Field Values

### SOCKET_CREATION_SERVER_LISTENER

    public static final java.lang.String SOCKET_CREATION_SERVER_LISTENER

  Key for the configuration map passed to a Client or Connector to indicate a socket creation listener for sockets created by a ServerSocket.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.